Skip to main content
GET
/
api
/
datasets
/
{dataset_id}
/
versions
List Dataset Versions
curl --request GET \
  --url https://api.example.com/api/datasets/{dataset_id}/versions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "dataset_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "version": 123,
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "table_name": "<string>",
      "schema_json": {},
      "stats_json": {},
      "manifest_uri": "<string>",
      "materialized_uri": "<string>",
      "byte_size": 123,
      "ingest_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ready_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string<uuid>
required

Response

Successful Response

Response for listing dataset versions.

items
DatasetVersion · object[]
required